[gentoo-commits] repo/gentoo:master commit in: net-p2p/deluge/, net-p2p/deluge/files/

2023-05-19 Thread Pacho Ramos
commit: 1e57173f56c1ab6951a27291322b35273983a620
Author: Pacho Ramos  gentoo  org>
AuthorDate: Fri May 19 09:09:51 2023 +
Commit: Pacho Ramos  gentoo  org>
CommitDate: Fri May 19 09:10:48 2023 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e57173f

net-p2p/deluge: Fix return error

Thanks-to: Scott Jones
Closes: https://bugs.gentoo.org/905841
Signed-off-by: Pacho Ramos  gentoo.org>

 net-p2p/deluge/deluge-2.1.1-r4.ebuild  | 179 +
 .../files/deluge-2.1.1-consoleui-deferred.patch|  13 ++
 2 files changed, 192 insertions(+)

diff --git a/net-p2p/deluge/deluge-2.1.1-r4.ebuild 
b/net-p2p/deluge/deluge-2.1.1-r4.ebuild
new file mode 100644
index ..578a7a9dcdc9
--- /dev/null
+++ b/net-p2p/deluge/deluge-2.1.1-r4.ebuild
@@ -0,0 +1,179 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+inherit distutils-r1 systemd xdg
+
+DESCRIPTION="BitTorrent client with a client/server model"
+HOMEPAGE="https://deluge-torrent.org/;
+
+if [[ ${PV} ==  ]]; then
+   inherit git-r3
+   EGIT_REPO_URI="https://git.deluge-torrent.org/${PN};
+else
+   SRC_URI="http://download.deluge-torrent.org/source/$(ver_cut 
1-2)/${P}.tar.xz"
+   KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~riscv ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="console gui libnotify sound webinterface"
+REQUIRED_USE="
+   ${PYTHON_REQUIRED_USE}
+   libnotify? ( gui )
+   sound? ( gui )
+"
+
+BDEPEND="
+   dev-util/intltool
+   test? (
+   $(python_gen_cond_dep '
+   >=dev-python/pytest-twisted-1.13.4-r1[${PYTHON_USEDEP}]
+   ')
+   )
+"
+
+RDEPEND="
+   acct-group/deluge
+   acct-user/deluge
+   net-libs/libtorrent-rasterbar:=[python,${PYTHON_SINGLE_USEDEP}]
+   $(python_gen_cond_dep '
+   gui? (
+   sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
+   dev-python/pygobject:3[${PYTHON_USEDEP}]
+   gnome-base/librsvg
+   libnotify? ( x11-libs/libnotify )
+   )
+   dev-python/chardet[${PYTHON_USEDEP}]
+   dev-python/distro[${PYTHON_USEDEP}]
+   dev-python/pillow[${PYTHON_USEDEP}]
+   dev-python/pyopenssl[${PYTHON_USEDEP}]
+   dev-python/pyxdg[${PYTHON_USEDEP}]
+   dev-python/rencode[${PYTHON_USEDEP}]
+   dev-python/setproctitle[${PYTHON_USEDEP}]
+   || (
+   >=dev-python/twisted-17.1.0[ssl(-),${PYTHON_USEDEP}]
+   >=dev-python/twisted-17.1.0[crypt(-),${PYTHON_USEDEP}]
+   )
+   >=dev-python/zope-interface-4.4.2[${PYTHON_USEDEP}]
+   dev-python/mako[${PYTHON_USEDEP}]
+   ')
+"
+
+PATCHES=(
+   "${FILESDIR}/${P}-twisted-22.10.patch"
+   # https://dev.deluge-torrent.org/ticket/3598
+   "${FILESDIR}/${P}-ayatana.patch"
+   # https://dev.deluge-torrent.org/ticket/3582
+   "${FILESDIR}/${P}-consoleui-deferred.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+   local args=(
+   -e 's|"new_release_check": True|"new_release_check": False|'
+   -e 's|"check_new_releases": True|"check_new_releases": False|'
+   -e 's|"show_new_releases": True|"show_new_releases": False|'
+   )
+   sed -i "${args[@]}" -- 'deluge/core/preferencesmanager.py' || die
+
+   distutils-r1_python_prepare_all
+}
+
+python_test() {
+   local EPYTEST_IGNORE=(
+   # Upstream CI/CD skips these and they seem to intentionally 
segfault to collect core dumps...
+   deluge/plugins/Stats/deluge_stats/tests/test_stats.py
+   # Skipped upstream
+   deluge/tests/test_security.py
+   )
+   local EPYTEST_DESELECT=(
+   # Skipped upstream
+   
'deluge/plugins/WebUi/deluge_webui/tests/test_plugin_webui.py::TestWebUIPlugin::test_enable_webui'
+   
'deluge/tests/test_torrent.py::TestTorrent::test_torrent_error_resume_data_unaltered'
+   
'deluge/tests/test_tracker_icons.py::TestTrackerIcons::test_get_seo_svg_with_sni'
+   # never returns
+   
'deluge/tests/test_ui_entry.py::TestConsoleScriptEntryWithDaemon'
+   # failing network(?)-related tests, even with sandbox disabled
+   'deluge/tests/test_common.py::TestCommon::test_is_interface'
+   # fails
+   'deluge/tests/test_core.py::TestCore::test_pause_torrents'
+   # fails because of network sandbox
+   'deluge/tests/test_core.py::TestCore::test_test_listen_port'
+   
'deluge/tests/test_tracker_icons.py::TestTrackerIcons::test_get_deluge_png'
+   

[gentoo-commits] repo/gentoo:master commit in: net-p2p/deluge/, net-p2p/deluge/files/

2022-06-01 Thread Sam James
commit: c4f527463800f321c7affdeb052613ac1cb352a4
Author: Sam James  gentoo  org>
AuthorDate: Thu Jun  2 03:55:16 2022 +
Commit: Sam James  gentoo  org>
CommitDate: Thu Jun  2 03:55:16 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4f52746

net-p2p/deluge: drop versions

Signed-off-by: Sam James  gentoo.org>

 net-p2p/deluge/Manifest|   2 -
 net-p2p/deluge/deluge-2.0.3-r10.ebuild | 148 -
 net-p2p/deluge/deluge-2.0.3-r11.ebuild | 145 
 net-p2p/deluge/deluge-2.0.3-r8.ebuild  | 144 
 net-p2p/deluge/deluge-2.0.3-r9.ebuild  | 143 ---
 net-p2p/deluge/deluge-2.0.4.ebuild | 142 ---
 net-p2p/deluge/deluge-2.0.5.ebuild | 142 ---
 net-p2p/deluge/files/deluge-web.init   |  53 
 8 files changed, 919 deletions(-)

diff --git a/net-p2p/deluge/Manifest b/net-p2p/deluge/Manifest
index 1a6b3e148191..35c526df0cbb 100644
--- a/net-p2p/deluge/Manifest
+++ b/net-p2p/deluge/Manifest
@@ -1,3 +1 @@
-DIST deluge-2.0.3.tar.xz 1777624 BLAKE2B 
d090e63e7e18c7b420e1c4239c833512a04a72e8b2c494bc8a3a03a3b7a03050eed894de84d7a26a416417b0c874a82809398fcaf57972b1056e2fcceb9d092d
 SHA512 
3abec24495b22ec10649865c7ce7c3271224c7d25c0647b43f3c177b7ccb45d4c5c593f8c89d8bc8eac85ae5dc737f9960827587912dd527bb96100304a7d480
-DIST deluge-2.0.4.tar.xz 1866260 BLAKE2B 
cce7c9bfb81ec8c8d61072f74ca939fd07093ce553a755970ff010bb0674b82a4072596d008ea9330e4450f7cc9e190f6b61c6e6023565cd0da198fb82bcaae5
 SHA512 
3dc3602d8b04f3e4fd2797ea72ce1d2043d9e6e256903b6403369fef075de0281e78c049af049fa8e27b249dd0a5e5071472a73e9905781081f148b29d93bf7b
 DIST deluge-2.0.5.tar.xz 1895268 BLAKE2B 
2c815aa9dbbbed5ba780d694b0518f224577b9c370a03712b15c706eda6de55e34b834f624ec18001c9d41b925677b6a001a384691a7ffd9f29c16731a735d4b
 SHA512 
6c2994ca2906fdb92e96aa3534a4ffd5199e9ab6a1b5b12de94c94ec29850cad0cef7546ae1bea5188075fd16a07e584a17bf2f8b5eb1d2b91dee2da1e494588

diff --git a/net-p2p/deluge/deluge-2.0.3-r10.ebuild 
b/net-p2p/deluge/deluge-2.0.3-r10.ebuild
deleted file mode 100644
index 9880f014ec4b..
--- a/net-p2p/deluge/deluge-2.0.3-r10.ebuild
+++ /dev/null
@@ -1,148 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-inherit xdg distutils-r1 systemd
-
-DESCRIPTION="BitTorrent client with a client/server model"
-HOMEPAGE="https://deluge-torrent.org/;
-
-if [[ ${PV} ==  ]]; then
-   inherit git-r3
-   EGIT_REPO_URI="https://git.deluge-torrent.org/${PN};
-else
-   SRC_URI="http://download.deluge-torrent.org/source/2.0/${P}.tar.xz;
-   KEYWORDS="amd64 ~arm ~ppc ~sparc x86"
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="console geoip gtk libnotify sound webinterface"
-REQUIRED_USE="
-   ${PYTHON_REQUIRED_USE}
-   libnotify? ( gtk )
-   sound? ( gtk )
-"
-
-# Note: if/when Deluge supports newer libtorrent-rasterbar >= 2, please
-# move the dependency *outside* of gen_cond_dep and use PYTHON_SINGLE_USEDEP
-# instead. It doesn't seem like Deluge supports >= 2 right now.
-DEPEND="
-   $(python_gen_cond_dep '
-   https://dev.deluge-torrent.org/wiki/Faq;
-   elog
-}

diff --git a/net-p2p/deluge/deluge-2.0.3-r11.ebuild 
b/net-p2p/deluge/deluge-2.0.3-r11.ebuild
deleted file mode 100644
index ee3ceb2e58a8..
--- a/net-p2p/deluge/deluge-2.0.3-r11.ebuild
+++ /dev/null
@@ -1,145 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-inherit xdg distutils-r1 systemd
-
-DESCRIPTION="BitTorrent client with a client/server model"
-HOMEPAGE="https://deluge-torrent.org/;
-
-if [[ ${PV} ==  ]]; then
-   inherit git-r3
-   EGIT_REPO_URI="https://git.deluge-torrent.org/${PN};
-else
-   SRC_URI="http://download.deluge-torrent.org/source/2.0/${P}.tar.xz;
-   KEYWORDS="amd64 ~arm ~ppc ~sparc x86"
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="console geoip gtk libnotify sound webinterface"
-REQUIRED_USE="
-   ${PYTHON_REQUIRED_USE}
-   libnotify? ( gtk )
-   sound? ( gtk )
-"
-
-DEPEND="
-   https://dev.deluge-torrent.org/wiki/Faq;
-   elog
-}

diff --git a/net-p2p/deluge/deluge-2.0.3-r8.ebuild 
b/net-p2p/deluge/deluge-2.0.3-r8.ebuild
deleted file mode 100644
index 19ea2735dafa..
--- a/net-p2p/deluge/deluge-2.0.3-r8.ebuild
+++ /dev/null
@@ -1,144 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-inherit xdg distutils-r1 systemd
-
-DESCRIPTION="BitTorrent client with a client/server model"
-HOMEPAGE="https://deluge-torrent.org/;
-
-if [[ ${PV} == 

[gentoo-commits] repo/gentoo:master commit in: net-p2p/deluge/, net-p2p/deluge/files/

2020-07-09 Thread Craig Andrews
commit: a2cb8c69a7f234bf485399106ec2f565a3d402a0
Author: Craig Andrews  gentoo  org>
AuthorDate: Thu Jul  9 16:38:35 2020 +
Commit: Craig Andrews  gentoo  org>
CommitDate: Thu Jul  9 16:39:09 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2cb8c69

net-p2p/deluge: Fix fails to load state saved by version 1.3.15-r3

Closes: https://bugs.gentoo.org/731664
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Craig Andrews  gentoo.org>

 net-p2p/deluge/deluge-2.0.3-r8.ebuild  | 142 
 net-p2p/deluge/files/deluge-2.0.3-fix-pickle.patch | 143 +
 2 files changed, 285 insertions(+)

diff --git a/net-p2p/deluge/deluge-2.0.3-r8.ebuild 
b/net-p2p/deluge/deluge-2.0.3-r8.ebuild
new file mode 100644
index 000..8c09d112b65
--- /dev/null
+++ b/net-p2p/deluge/deluge-2.0.3-r8.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_SINGLE_IMPL=1
+inherit distutils-r1 systemd
+
+DESCRIPTION="BitTorrent client with a client/server model"
+HOMEPAGE="https://deluge-torrent.org/;
+
+if [[ ${PV} ==  ]]; then
+   inherit git-r3
+   EGIT_REPO_URI="https://git.deluge-torrent.org/${PN};
+else
+   SRC_URI="http://download.deluge-torrent.org/source/2.0/${P}.tar.xz;
+   KEYWORDS="~amd64 ~arm ~sparc ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="console geoip gtk libnotify sound webinterface"
+REQUIRED_USE="
+   ${PYTHON_REQUIRED_USE}
+   libnotify? ( gtk )
+   sound? ( gtk )
+"
+
+DEPEND="
+   $(python_gen_cond_dep '
+   net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+   dev-python/wheel[${PYTHON_MULTI_USEDEP}]
+   ')
+   dev-util/intltool
+   acct-group/deluge
+   acct-user/deluge"
+RDEPEND="
+   $(python_gen_cond_dep '
+   dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+   dev-python/distro[${PYTHON_MULTI_USEDEP}]
+   dev-python/pillow[${PYTHON_MULTI_USEDEP}]
+   dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+   dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+   dev-python/rencode[${PYTHON_MULTI_USEDEP}]
+   dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+   dev-python/six[${PYTHON_MULTI_USEDEP}]
+   >=dev-python/twisted-17.1.0[crypt,${PYTHON_MULTI_USEDEP}]
+   >=dev-python/zope-interface-4.4.2[${PYTHON_MULTI_USEDEP}]
+   geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+   gtk? (
+   sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+   dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+   gnome-base/librsvg
+   libnotify? ( x11-libs/libnotify )
+   )
+   net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+   dev-python/mako[${PYTHON_MULTI_USEDEP}]
+   ')"
+
+PATCHES=(
+   "${FILESDIR}/${PN}-2.0.3-setup.py.patch"
+   "${FILESDIR}/${PN}-2.0.3-UI-status.patch"
+   "${FILESDIR}/${PN}-2.0.3-gettext.patch"
+   "${FILESDIR}/${P}-fix-pickle.patch"
+)
+
+python_prepare_all() {
+   local args=(
+   -e "/Compiling po file/a \\\tuptoDate = False"
+   )
+   sed -i "${args[@]}" -- 'setup.py' || die
+   args=(
+   -e 's|"new_release_check": True|"new_release_check": False|'
+   -e 's|"check_new_releases": True|"check_new_releases": False|'
+   -e 's|"show_new_releases": True|"show_new_releases": False|'
+   )
+   sed -i "${args[@]}" -- 'deluge/core/preferencesmanager.py' || die
+
+   distutils-r1_python_prepare_all
+}
+
+esetup.py() {
+   # bug 531370: deluge has its own plugin system. No need to relocate its 
egg info files.
+   # Override this call from the distutils-r1 eclass.
+   # This does not respect the distutils-r1 API. DONOT copy this example.
+   set -- "${PYTHON}" setup.py "$@"
+   echo "$@"
+   "$@" || die
+}
+
+python_install_all() {
+   distutils-r1_python_install_all
+   if ! use console ; then
+   rm -r "${D}/$(python_get_sitedir)/deluge/ui/console/" || die
+   rm "${ED}/usr/bin/deluge-console" || die
+   rm "${ED}/usr/share/man/man1/deluge-console.1" ||die
+   fi
+   if ! use gtk ; then
+   rm -r "${D}/$(python_get_sitedir)/deluge/ui/gtk3/" || die
+   rm -r "${ED}/usr/share/icons/" || die
+   rm "${ED}/usr/bin/deluge-gtk" || die
+   rm "${ED}/usr/share/man/man1/deluge-gtk.1" || die
+   rm "${ED}/usr/share/applications/deluge.desktop" || die
+   fi
+   if use webinterface; then
+   newinitd "${FILESDIR}/deluge-web.init-2" deluge-web
+   newconfd 

[gentoo-commits] repo/gentoo:master commit in: net-p2p/deluge/, net-p2p/deluge/files/

2020-04-18 Thread Craig Andrews
commit: 1981b61b2574afe02929952e7297dc9005a79549
Author: neeshy  tfwno  gf>
AuthorDate: Tue Mar 24 02:45:35 2020 +
Commit: Craig Andrews  gentoo  org>
CommitDate: Sun Apr 19 02:35:34 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1981b61b

net-p2p/deluge: fix warning related to gettext

Signed-off-by: Nima Sadeghi  tfwno.gf>
Closes: https://github.com/gentoo/gentoo/pull/15081
Signed-off-by: Craig Andrews  gentoo.org>

 net-p2p/deluge/deluge-2.0.3-r6.ebuild   | 141 
 net-p2p/deluge/files/deluge-2.0.3-gettext.patch |  11 ++
 2 files changed, 152 insertions(+)

diff --git a/net-p2p/deluge/deluge-2.0.3-r6.ebuild 
b/net-p2p/deluge/deluge-2.0.3-r6.ebuild
new file mode 100644
index 000..dae306a6061
--- /dev/null
+++ b/net-p2p/deluge/deluge-2.0.3-r6.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_SINGLE_IMPL=1
+inherit distutils-r1 systemd
+
+DESCRIPTION="BitTorrent client with a client/server model"
+HOMEPAGE="https://deluge-torrent.org/;
+
+if [[ ${PV} ==  ]]; then
+   inherit git-r3
+   EGIT_REPO_URI="https://git.deluge-torrent.org/${PN};
+else
+   SRC_URI="http://download.deluge-torrent.org/source/2.0/${P}.tar.xz;
+   KEYWORDS="~amd64 ~arm ~sparc ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="console geoip gtk libnotify sound webinterface"
+REQUIRED_USE="
+   ${PYTHON_REQUIRED_USE}
+   libnotify? ( gtk )
+   sound? ( gtk )
+"
+
+DEPEND="
+   $(python_gen_cond_dep '
+   net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+   dev-python/wheel[${PYTHON_MULTI_USEDEP}]
+   ')
+   dev-util/intltool
+   acct-group/deluge
+   acct-user/deluge"
+RDEPEND="
+   $(python_gen_cond_dep '
+   dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+   dev-python/distro[${PYTHON_MULTI_USEDEP}]
+   dev-python/pillow[${PYTHON_MULTI_USEDEP}]
+   dev-python/pyopenssl[${PYTHON_MULTI_USEDEP}]
+   dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
+   dev-python/rencode[${PYTHON_MULTI_USEDEP}]
+   dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+   dev-python/six[${PYTHON_MULTI_USEDEP}]
+   >=dev-python/twisted-17.1.0[crypt,${PYTHON_MULTI_USEDEP}]
+   >=dev-python/zope-interface-4.4.2[${PYTHON_MULTI_USEDEP}]
+   geoip? ( dev-python/geoip-python[${PYTHON_MULTI_USEDEP}] )
+   gtk? (
+   sound? ( dev-python/pygame[${PYTHON_MULTI_USEDEP}] )
+   dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+   gnome-base/librsvg
+   libnotify? ( x11-libs/libnotify )
+   )
+   net-libs/libtorrent-rasterbar[python,${PYTHON_MULTI_USEDEP}]
+   dev-python/mako[${PYTHON_MULTI_USEDEP}]
+   ')"
+
+PATCHES=(
+   "${FILESDIR}/${PN}-2.0.3-setup.py.patch"
+   "${FILESDIR}/${PN}-2.0.3-UI-status.patch"
+   "${FILESDIR}/${PN}-2.0.3-gettext.patch"
+)
+
+python_prepare_all() {
+   local args=(
+   -e "/Compiling po file/a \\\tuptoDate = False"
+   )
+   sed -i "${args[@]}" -- 'setup.py' || die
+   args=(
+   -e 's|"new_release_check": True|"new_release_check": False|'
+   -e 's|"check_new_releases": True|"check_new_releases": False|'
+   -e 's|"show_new_releases": True|"show_new_releases": False|'
+   )
+   sed -i "${args[@]}" -- 'deluge/core/preferencesmanager.py' || die
+
+   distutils-r1_python_prepare_all
+}
+
+esetup.py() {
+   # bug 531370: deluge has its own plugin system. No need to relocate its 
egg info files.
+   # Override this call from the distutils-r1 eclass.
+   # This does not respect the distutils-r1 API. DONOT copy this example.
+   set -- "${PYTHON}" setup.py "$@"
+   echo "$@"
+   "$@" || die
+}
+
+python_install_all() {
+   distutils-r1_python_install_all
+   if ! use console ; then
+   rm -r "${D}/$(python_get_sitedir)/deluge/ui/console/" || die
+   rm "${D}/usr/bin/deluge-console" || die
+   rm "${D}/usr/share/man/man1/deluge-console.1" ||die
+   fi
+   if ! use gtk ; then
+   rm -r "${D}/$(python_get_sitedir)/deluge/ui/gtk3/" || die
+   rm -r "${D}/usr/share/icons/" || die
+   rm "${D}/usr/bin/deluge-gtk" || die
+   rm "${D}/usr/share/man/man1/deluge-gtk.1" || die
+   rm "${D}/usr/share/applications/deluge.desktop" || die
+   fi
+   if use webinterface; then
+   newinitd "${FILESDIR}/deluge-web.init-2" deluge-web
+   newconfd "${FILESDIR}/deluge-web.conf" deluge-web
+   systemd_newunit "${FILESDIR}/deluge-web.service-3" 

[gentoo-commits] repo/gentoo:master commit in: net-p2p/deluge/, net-p2p/deluge/files/

2019-10-16 Thread Craig Andrews
commit: 3184187dc1688c0c3a896d2d3be7f83e0a3fa816
Author: PPed72  iol  it>
AuthorDate: Wed Oct 16 14:47:55 2019 +
Commit: Craig Andrews  gentoo  org>
CommitDate: Wed Oct 16 15:00:39 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3184187d

net-p2p/deluge: fix deluge-web.service unit file

Closes: https://bugs.gentoo.org/697856
Signed-off-by: Paolo Pedroni  iol.it>
Package-Manager: Portage-2.3.76, Repoman-2.3.16
Closes: https://github.com/gentoo/gentoo/pull/13319
Signed-off-by: Craig Andrews  gentoo.org>

 net-p2p/deluge/deluge-2.0.3.ebuild|  2 +-
 net-p2p/deluge/files/deluge-web.service-3 | 10 ++
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/net-p2p/deluge/deluge-2.0.3.ebuild 
b/net-p2p/deluge/deluge-2.0.3.ebuild
index 879207fa8b3..849209d96ba 100644
--- a/net-p2p/deluge/deluge-2.0.3.ebuild
+++ b/net-p2p/deluge/deluge-2.0.3.ebuild
@@ -99,7 +99,7 @@ python_install_all() {
if use webinterface; then
newinitd "${FILESDIR}/deluge-web.init" deluge-web
newconfd "${FILESDIR}/deluge-web.conf" deluge-web
-   systemd_newunit "${FILESDIR}/deluge-web.service-2" 
deluge-web.service
+   systemd_newunit "${FILESDIR}/deluge-web.service-3" 
deluge-web.service
systemd_install_serviced "${FILESDIR}/deluge-web.service.conf"
else
rm -rf 
"${D}/usr/$(get_libdir)/python2.7/site-packages/deluge/ui/web/" || die

diff --git a/net-p2p/deluge/files/deluge-web.service-3 
b/net-p2p/deluge/files/deluge-web.service-3
new file mode 100644
index 000..5e0049e7ac2
--- /dev/null
+++ b/net-p2p/deluge/files/deluge-web.service-3
@@ -0,0 +1,10 @@
+[Unit]
+Description=Deluge WebUI
+Documentation=man:deluge-web
+After=deluged.service
+
+[Service]
+ExecStart=/usr/bin/deluge-web -d -c ${DELUGED_HOME} ${DELUGED_OPTS}
+
+[Install]
+WantedBy=multi-user.target



[gentoo-commits] repo/gentoo:master commit in: net-p2p/deluge/, net-p2p/deluge/files/

2016-06-22 Thread Kristian Fiskerstrand
commit: 406fd0f543d40c4dc292704883d0b2304d312bf1
Author: PPed72  iol  it>
AuthorDate: Mon Jun 20 09:54:23 2016 +
Commit: Kristian Fiskerstrand  gentoo  org>
CommitDate: Wed Jun 22 19:36:53 2016 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=406fd0f5

net-p2p/deluge: Make UI installation USE-conditional

Gentoo-bug: 381837
New ebuild, EAPI=6, add local use flags and new languages to
metadata.xml, fix patch for EAPI=6

 net-p2p/deluge/deluge-1.3.12-r4.ebuild | 141 +
 ...ge-1.3.5-disable_libtorrent_internal_copy.patch |   4 +-
 net-p2p/deluge/metadata.xml|   4 +
 3 files changed, 147 insertions(+), 2 deletions(-)

diff --git a/net-p2p/deluge/deluge-1.3.12-r4.ebuild 
b/net-p2p/deluge/deluge-1.3.12-r4.ebuild
new file mode 100644
index 000..812e7f2
--- /dev/null
+++ b/net-p2p/deluge/deluge-1.3.12-r4.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_SINGLE_IMPL=1
+PLOCALES="af ar ast be bg bn bs ca cs cy da de el en_AU en_CA en_GB eo es et 
eu fa fi fo fr fy ga gl he hi hr hu id is it iu ja ka kk km kn ko ku ky la lb 
lt lv mk ml ms nap nb nds nl nn oc pl pms pt pt_BR ro ru si sk sl sr sv ta te 
th tl tlh tr uk ur vi zh_CN zh_HK zh_TW"
+inherit distutils-r1 eutils systemd user l10n
+
+DESCRIPTION="BitTorrent client with a client/server model"
+HOMEPAGE="http://deluge-torrent.org/;
+
+if [[ ${PV} ==  ]]; then
+   inherit git-r3
+   EGIT_REPO_URI="git://deluge-torrent.org/${PN}.git
+   http://git.deluge-torrent.org/${PN};
+   SRC_URI=""
+   KEYWORDS=""
+else
+   SRC_URI="http://download.deluge-torrent.org/source/${P}.tar.bz2;
+   KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="console geoip gtk libnotify sound webinterface"
+REQUIRED_USE="
+   ${PYTHON_REQUIRED_USE}
+   sound? ( gtk )
+   libnotify? ( gtk )
+"
+PATCHES=(
+   "${FILESDIR}/${PN}-1.3.12-fix_scheduler_plugin.patch"
+   "${FILESDIR}/${PN}-1.3.5-disable_libtorrent_internal_copy.patch"
+)
+
+CDEPEND=">=net-libs/rb_libtorrent-0.14.9[python,${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+   dev-python/setuptools[${PYTHON_USEDEP}]
+   dev-util/intltool"
+RDEPEND="${CDEPEND}
+   dev-python/chardet[${PYTHON_USEDEP}]
+   dev-python/pyopenssl[${PYTHON_USEDEP}]
+   dev-python/pyxdg[${PYTHON_USEDEP}]
+   dev-python/setproctitle[${PYTHON_USEDEP}]
+   >=dev-python/twisted-core-13.0[${PYTHON_USEDEP}]
+   >=dev-python/twisted-web-13.0[${PYTHON_USEDEP}]
+   geoip? ( dev-libs/geoip )
+   gtk? (
+   sound? ( dev-python/pygame[${PYTHON_USEDEP}] )
+   dev-python/pygobject:2[${PYTHON_USEDEP}]
+   >=dev-python/pygtk-2.12[${PYTHON_USEDEP}]
+   gnome-base/librsvg
+   libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )
+   )
+   webinterface? ( dev-python/mako[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+   local args=(
+   -e "/Compiling po file/a \\\tuptoDate = False"
+   )
+   sed -i "${args[@]}" -- 'setup.py' || die
+   args=(
+   -e 's|"new_release_check": True|"new_release_check": False|'
+   -e 's|"check_new_releases": True|"check_new_releases": False|'
+   -e 's|"show_new_releases": True|"show_new_releases": False|'
+   )
+   sed -i "${args[@]}" -- 'deluge/core/preferencesmanager.py' || die
+
+   local loc_dir="${S}/deluge/i18n"
+   l10n_find_plocales_changes "${loc_dir}" "" ".po"
+   rm_loc() {
+   rm -vf "${loc_dir}/${1}.po" || die
+   }
+   l10n_for_each_disabled_locale_do rm_loc
+
+   distutils-r1_python_prepare_all
+}
+
+esetup.py() {
+   # bug 531370: deluge has its own plugin system. No need to relocate its 
egg info files.
+   # Override this call from the distutils-r1 eclass.
+   # This does not respect the distutils-r1 API. DONOT copy this example.
+   set -- "${PYTHON}" setup.py "$@"
+echo "$@"
+"$@" || die
+}
+
+python_install_all() {
+   distutils-r1_python_install_all
+   if ! use console ; then
+   rm -rf 
"${D}/usr/$(get_libdir)/python2.7/site-packages/deluge/ui/console/" || die
+   rm -f "${D}/usr/bin/deluge-console" || die
+   rm -f "${D}/usr/share/man/man1/deluge-console.1" ||die
+   fi
+   if ! use gtk ; then
+   rm -rf 
"${D}/usr/$(get_libdir)/python2.7/site-packages/deluge/ui/gtkui/" || die
+   rm -rf "${D}/usr/share/icons/" || die
+   rm -f "${D}/usr/bin/deluge-gtk" || die
+   rm -f "${D}/usr/share/man/man1/deluge-gtk.1" || die
+   rm -f "${D}/usr/share/applications/deluge.desktop" || die
+   fi
+   if use webinterface; then
+   newinitd